Bug 159198 - CAN-2005-1266 spamassassin DoS
CAN-2005-1266 spamassassin DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: spamassassin (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
impact=moderate,source=spamassassin,r...
: Security
Depends On:
Blocks: spamassassin_RHEL4
  Show dependency treegraph
 
Reported: 2005-05-31 10:47 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-498
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-23 15:19:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-05-31 10:47:09 EDT
When SA parses a message, it needs to know when the headers end and the
body begins.  In the current 3.0 code, we assume that the header ends at
either a blank line (normal) or when we see a MIME boundary.  The problem
is that we parse the Content-Type header so we can figure out what the
boundary string is, and if SA receives an extremely long Content-Type
header (especially one with tons of whitespace folding/continuation)
that doesn't have a boundary in it (or it's at the end), parsing it over
and over causes lots of wasted CPU time.
Comment 1 Josh Bressers 2005-05-31 10:48:20 EDT
This issue should also affect RHEL2.1 and RHEL3
Comment 2 Warren Togami 2005-06-06 02:21:32 EDT
http://people.redhat.com/wtogami/temp/spamassassin/el4/
Test package, waiting for decision about embargo lift on details
Comment 3 Josh Bressers 2005-06-06 16:05:48 EDT
I was wrong, this issue does not affect RHEL2.1 or RHEL3
Comment 6 Josh Bressers 2005-06-23 15:19:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-498.html

Note You need to log in before you can comment on or make changes to this bug.